<?php

if(!defined("PHORUM")) return;

function phorum_mod_user_in_logoutlink_common()
{
    // Nothing to do if there is no user logged in.
    if (empty($GLOBALS["PHORUM"]["DATA"]["LOGGEDIN"])) return;

    // Get the configured module language string.
    $string = $GLOBALS["PHORUM"]["DATA"]["LANG"]["mod_user_on_logoutlink"];

    // Do special replacements on the string.
    $string = str_replace(
        array(
            '%logout%',
            '%username%'
        ),
        array(
            $GLOBALS["PHORUM"]["DATA"]["LANG"]["LogOut"],
            htmlspecialchars($GLOBALS["PHORUM"]["user"]["username"])
        ),
        $string
    );

    // Replace the default LogOut language string.
    $GLOBALS["PHORUM"]["DATA"]["LANG"]["LogOut"] = $string;
}
?>
